Subject: Re: bug#7359: sleep 9999999999

From: Matthew Bachmann <[email-masked]>
Date: Tue, 9 Nov 2010 15:31:31 -0500

Here's what I'm running:

matt@ita1bbx40,d1r17733u07 | uname -a
Linux ita1bbx40 2.6.18-128.el5 #1 SMP Wed Jan 21 10:41:14 EST 2009 x86_64 x86_64 x86_64 GNU/Linux
matt@ita1bbx40,d1r17733u07 | cat /etc/issue
CentOS release 5.3 (Final)
Kernel \r on an \m

matt@ita1bbx40,d1r17733u07 | 

I'm in a large shared environment where I can't upgrade sleep.  I just wanted to bring this to your attention, I can work around and don't need a fix.  Thanks.

-Matt

On Nov 9, 2010, at 3:27 PM, Eric Blake wrote:

> On 11/09/2010 12:31 PM, Matthew Bachmann wrote:
>> sleep called with very big numbers returns immediately with success
>> 
>> -Matt
>> 
>> matt@ita1bbx40,d1r17733u07 | date; sleep 9999999999 && echo success; date; sleep --version
>> Tue Nov  9 14:31:04 EST 2010
>> success
>> Tue Nov  9 14:31:04 EST 2010
>> sleep (GNU coreutils) 5.97
> 
> That's rather old.  Can you repeat it with the latest stable release of
> 8.6?  Meanwhile, I'm wondering if your setup is a duplicate of this report:
> http://lists.gnu.org/archive/html/bug-coreutils/2010-11/msg00011.html
> 
> although it's hard to say, since you didn't provide any information
> about what platform and kernel version you tested on.
> 
> -- 
> Eric Blake   [email-masked]    +1-801-349-2682
> Libvirt virtualization library http://libvirt.org
>